//Sprite.h


#ifndef _SPRITE_H
#define _SPRITE_H

#include "Texture2D.h"


class Sprite
{
public:
    Sprite( IDirect3DDevice9* pDevice );
    ~Sprite();
	void Release();

public:
    void Begin( DWORD flags );               
    void End();                            
    void Draw( Texture2D* pTexture, const POINT& pos, D3DCOLOR color );
    void Draw( Texture2D* pTexture, const POINT& pos, const RECT& surRect, D3DCOLOR color );         
    void Draw( Texture2D* pTexture, const POINT& pos, const D3DXMATRIX& transMatrix, const RECT& surRect, D3DCOLOR color );
    void Draw( Texture2D* pTexture, const POINT& pos, const POINT& size, const RECT& surRect, D3DCOLOR color );
    void Draw( Texture2D* pTexture, const RECT& desRect, const RECT& surRect, D3DCOLOR color );
    void Draw( Texture2D* pTexture, const RECT& desRect, D3DCOLOR color );

public:
    ID3DXSprite* GetSprite()
	{
		return m_pSprite;
	}   

private:
    ID3DXSprite* m_pSprite;                              
};

#endif

