//Texture2D.cpp

#include "Texture2D.h"


Texture2D::Texture2D()
: m_pTexture( NULL )
, m_width( 0 )
, m_height( 0 )
{
	ZeroMemory( &m_textureInfo, sizeof( D3DXIMAGE_INFO ) );
	ZeroMemory( &m_rect, sizeof( RECT ) );
}
//-----------------------------------------------------------------
Texture2D::~Texture2D()
{
	Release();
}
//-----------------------------------------------------------------
void Texture2D::Release()
{
	if( m_pTexture )
	{
		m_pTexture->Release();
		m_pTexture = NULL;
	}
}
//-----------------------------------------------------------------
void Texture2D::LoadTexture( IDirect3DDevice9* pDevice, char* szFileName, UINT width, UINT height )
{
    D3DXCreateTextureFromFileEx(
        pDevice,
        szFileName,
        width, 
        height,
        D3DX_FROM_FILE,
        D3DPOOL_DEFAULT,
        D3DFMT_FROM_FILE,
        D3DPOOL_MANAGED,
        D3DX_DEFAULT,
        D3DX_DEFAULT,
        D3DCOLOR_COLORVALUE( 0, 0, 0, 1 ),
        &m_textureInfo,
        NULL,
        &m_pTexture);

    if( width == (UINT)-2 )
        m_width = m_textureInfo.Width;
    else
        m_width = width;

    if( height == (UINT)-2 )
        m_height = m_textureInfo.Height;
    else
        m_height = height;

    m_rect.top    = 0;
    m_rect.left   = 0;
    m_rect.right  = m_width;
    m_rect.bottom = m_height;
}
//-----------------------------------------------------------------