//Texture2D.h

#ifndef _TEXTURE2D_H
#define _TEXTURE2D_H

#include <d3d9.h>
#include <d3dx9.h>

class Texture2D
{
public:
	Texture2D();
    ~Texture2D();

public:
    void LoadTexture( IDirect3DDevice9*  pDevice, char* szFileName, UINT width = D3DX_DEFAULT_NONPOW2, UINT height = D3DX_DEFAULT_NONPOW2 );                    
    void Release();

public:
	UINT GetWidth()       
	{
		return m_width;
	}       
    UINT GetHight()       
	{
		return m_height;
	}         
	IDirect3DTexture9* GetTexture()     
	{
		return m_pTexture;
	}     
    const D3DXIMAGE_INFO& GetTextureInfo() 
	{
		return m_textureInfo;
	}  
	const RECT& GetRect()
	{
		return m_rect;
	}

private:
    IDirect3DTexture9*  m_pTexture;                               
    D3DXIMAGE_INFO      m_textureInfo;                                                          
	RECT				m_rect;
    UINT                m_width;                                   
    UINT				m_height;                                 
};


#endif
                              

